Skip to main content

Shared Response Models

Describes the shared response schemas used in the Aether API.

JobIdResponse

Returned by all POST endpoints that create asynchronous jobs.

Schema

FieldTypeDescription
job_idstring (UUID)Unique identifier for the created job

Example

{
"job_id": "550e8400-e29b-41d4-a716-446655440000"
}

Used By Endpoints

  • POST /public/v1/generate/image
  • POST /public/v1/generate/effect/v1
  • POST /public/v1/generate/effect/v2
  • POST /public/v1/image-tune/upscale

GetJobStatusResponse

Returned by the job status retrieval endpoint.

Schema

FieldTypeRequiredDescription
job_idstring (UUID)YesUnique identifier for the job
statusstringYesJob status (Pending, Succeed, Failed)
image_urlsarray[string]NoList of completed image URLs (only provided in Succeed status)

Response Examples by Status

Pending

{
"job_id": "550e8400-e29b-41d4-a716-446655440000",
"status": "Pending",
"image_urls": []
}

Succeed

{
"job_id": "550e8400-e29b-41d4-a716-446655440000",
"status": "Succeed",
"image_urls": ["https://cdn.aetherforgeai.com/images/abc123.png"]
}

Failed

{
"job_id": "550e8400-e29b-41d4-a716-446655440000",
"status": "Failed",
"image_urls": []
}

Used By Endpoints

  • GET /public/v1/job/{job_id}